---
- name: "Download {{ xnat_openid_auth_plugin_jar }}"
  ansible.builtin.get_url:
    url: "{{ xnat_openid_auth_plugin_jar.base_url }}/{{ xnat_openid_auth_plugin_jar.name }}-{{ xnat_openid_auth_plugin_jar.version }}.jar"
    dest: "/var/local/{{ xnat_openid_auth_plugin_jar.name }}-{{ xnat_openid_auth_plugin_jar.version }}.jar"
    owner: "{{ catalina_user }}"
    group: "{{ catalina_user }}"
    mode: 0644
  when:
    - not ansible_check_mode # (Bug ansible/ansible#65687)

- name: "Create config/auth in {{ xnat_home }}"
  ansible.builtin.file:
    path: "{{ xnat_home }}/config/auth"
    state: directory
    owner: "{{ catalina_user }}"
    group: "{{ catalina_user }}"
    mode: 0755

- name: "Install {{ xnat_openid_auth_plugin_jar }}"
  ansible.builtin.copy:
    src: "/var/local/{{ xnat_openid_auth_plugin_jar.name }}-{{ xnat_openid_auth_plugin_jar.version }}.jar"
    dest: "{{ xnat_home }}/plugins/{{ xnat_openid_auth_plugin_jar.name }}-{{ xnat_openid_auth_plugin_jar.version }}.jar"
    owner: "{{ catalina_user }}"
    group: "{{ catalina_user }}"
    mode: 0644
    remote_src: true
  notify: Restart tomcat

- name: Configure openid-provider.properties
  ansible.builtin.copy:
    content: "{{ xnat_openid_auth_plugin_provider_properties }}"
    dest: "{{ xnat_home }}/config/auth/openid-provider.properties"
    owner: "{{ catalina_user }}"
    group: "{{ catalina_user }}"
    mode: 0640
  notify: Restart tomcat
